<?php

namespace Modules\Invoice;

use Illuminate\Routing\Router;
use Illuminate\Support\ServiceProvider;
use Modules\Invoice\Components\SettingView as ComponentsSettingView;

class InvoiceServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        app(Router::class)->middleware(['web', 'auth:web'])->group(function ($router) {
            $router->get('/setting/bill', ComponentsSettingView::class)->name('setting.bill');
        });
    }
}
